:root{
    --main-bg-color: #5FFD19;
}

/* The Modal (background) */
#myModal.modal {
    display: block; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    top: 15%;
    left: calc(50% - 125px);
    width: auto;
    height:100%;
    overflow: auto; /* Enable scroll if needed */
  }
  
  /* Modal Content */
  #myModal .modal-content {
    position: relative;
    display: block;
    background-image: url('../resources/images/background-image-2.jpg');
    background-position: center;
    background-size: contain;
    margin: auto;
    
    border: 1px solid #888;
    width: 500px;
    max-height:500px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 0.4s;
    animation-name: animatebottom;
    animation-duration: 0.4s
  }
  
    /* Add Animation */
@-webkit-keyframes animatebottom {
    from {bottom:-90%; left:90% } 
    to {bottom:0; left:0 }
  }
  
  @keyframes animatebottom {
    from {bottom:-90%; left:-90%}
    to {bottom:0; left:0}
  }

  
  /* The Close Button */
  #myModal .close {
      position:absolute;
      z-index: 100;
    color: var(--main-bg-color);
    padding-left:10px;
    float: left;
    font-size: 28px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
  }




/* https://www.w3schools.com/howto/tryit.asp?filename=tryhow_js_slideshow_auto */

  .mySlides {display: none; }
  #slidesContainer{
    opacity: 1;
  }
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
  max-width: 350px;
  position: relative;
  margin: auto;
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active {
  background-color: #717171;
}

/* Fading animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {opacity: .8} 
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .8} 
  to {opacity: 1}
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .text {font-size: 11px}
}

.opacityControl{
    
    position:absolute;
    right:10;
    top:5;
    z-index: 100;
    background-color: var(--main-bg-color);
}


/*Chrome*/
@media screen and (-webkit-min-device-pixel-ratio:0) {
    .opacityControl {
      overflow: hidden;
      width: 80px;
      -webkit-appearance: none;
      background-color: transparent;

      border-top-right-radius: 20px;
      border-bottom-right-radius: 20px;

      border-top-left-radius: 20px;
      border-bottom-left-radius: 20px;
    }
    
    .opacityControl::-webkit-slider-runnable-track {
      height: 10px;
      
      color: var(--main-bg-color);
      border-radius: 50%;
      margin-top: -1px;
    }
    
    .opacityControl::-webkit-slider-thumb {
      width: 10px;
      -webkit-appearance: none;
      height: 10px;
      cursor: pointer;
      background: var(--main-bg-color);
      box-shadow: -80px 0 0 80px var(--main-bg-color);
    }

}